RK-J - Bug #1671

If book contains & in the title, search bar does not load
09/20/2021 08:11 AM - Ram Kordale

Status: Closed Start date: 09/24/2021
Priority: Low Due date: 09/27/2021
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 1.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

Search bar does not load for
https://edutestdev-240612.appspot.com/document/python-3*/python?documentURL=10015%2Fprd%2F3%2Flibrary%2Flogging.han
dlers-BaseRotatingHandler-699.html.

Diagnosis: This is happening because of & present in one of the book names. We handled this scenario previously for the backend at
the time of deletion, this is the ticket http://34.67.50.25/issues/1427

Now, we have to add the implementation in the frontend as well

History

#1 - 09/20/2021 09:25 AM - Ayush Khandelwal

- Due date set to 09/27/2021

- Start date changed from 09/20/2021 to 09/24/2021
- Estimated time set to 1.00 h

#2 - 09/23/2021 07:51 AM - Ayush Khandelwal

One of the possible solutions is to encode the & i.e. with %26.

#3 - 09/23/2021 07:51 AM - Ayush Khandelwal
- Assignee changed from Ayush Khandelwal to Rishabh Sharma

#4 - 09/27/2021 06:48 AM - Rishabh Sharma

- Status changed from New to In Progress

#5 - 09/27/2021 06:58 AM - Rishabh Sharma
- % Done changed from 0 to 50

The link is not loading after fixing & problem.
this is the link before fixing

https://edutestdev-240612.appspot.com/document/extending*/python?documentURL=10015%2F prd%2F3%2Flibrary%2Flogging.handlers-BaseRotat
ingHandler-699.html

this is working after fixing
http://localhost:4200/document/extending*/python?documentURL=10015%2Fprd%2F3%2Flibrary%2Flogging.handlers-BaseRotatingHandler-699.ht
ml

This is because three other books are creating problem.
[

"name": "The Python Language - 3.8: Tutorial(25-1)",
"id": "dev-sv2312-test-1",

"bookld": "39f3a04c-39a6-48c9-bfaa-57b6ef0546d2",
"slug": "the-python-language---3.8-tutorial(25-1)",
"baseUrl": "0002/sv2112/3.8/tutorial/"

b

"name": "Python 3.8: C API",

"id": "python3.8-capi-rk24dec20",

"bookld": "4cff3c70-fdc8-41df-8a2d-a54b8af19fcd”,
"slug": "python-3.8-c-api(2020-12-23-204423.710604)",
"baseUrl": "10082/rk24dec20/3.8/c-api/"
Lo

"name": "Python 3.9: C API Reference (v2)",

"id": "dev-rk-rk01mar21-python3.9-capireference(v2)",
"bookld": "d2748a46-38c0-4cdd-b243-94677f42f4de",
"slug": "python-3.9-c-api-reference-(v2)",

"baseUrl": "10111/rk01mar21/3.9/c-api/"

}

]

The resource they are requesting are havmg some problem (check in postman)-

https://edutestdev-240612.appspot. com/admln/content/ao|/v1/search’?searchTerm python&indexName=dev-rk- rk01 mar21-python3.9-capireference(v

2)

The response to the avove three links is-{
"autocomplete": null,

"skipStep": true

}

here autocomplete is an array , either it should be empty [] or should have some value. It should not be null.

So the conclusion is either the resource url , they are requesting have some error in url (like in Python 3: Extending & Embedding-PL-2021-08-17
18:31:07.292903-SPL) or response is not correct.

#6 - 10/19/2021 06:49 AM - Rishabh Sharma
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#7 - 11/08/2021 02:55 PM - Rishabh Sharma
- Status changed from Resolved to Feedback

- Assignee changed from Rishabh Sharma to Ayush Khandelwal

#8 - 10/31/2022 05:54 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

Worklng as expected,

#9 - 03/29/2023 09:28 AM - Ram Kordale
- Status changed from Feedback to Closed
